=== debian/changelog ===
fortran-testdrive (0.5.0-7) unstable; urgency=medium

  * Fix pkgconfig file: ship "CFlags" pointing to fmoddir and subdir

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Jan 2026 08:09:33 +0000

fortran-testdrive (0.5.0-6) unstable; urgency=medium

  * Move dh-fortran-mod -> dh-fortran
  * d/watch: Move to version 5 syntax
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Add Section: needed for dh-fortran autodetection
  * Fix pkg-config creation. Needs dh-fortran >= 0.61

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Jan 2026 18:09:19 +0000

fortran-testdrive (0.5.0-5) unstable; urgency=medium

  * Add libdir/fortran/gnu to path in pkgconfig file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Oct 2025 09:34:51 +0100

fortran-testdrive (0.5.0-4) unstable; urgency=medium

  * Now use --with fortran
  * Use libfortran-testdrive-dev.fortran_lib file rather than directly
  * Build-dep on gfortran

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2025 11:24:44 +0100

fortran-testdrive (0.5.0-3) unstable; urgency=medium

  * Fix search paths in test-drive.pc file

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Sep 2025 13:52:32 +0100

fortran-testdrive (0.5.0-2) unstable; urgency=medium

  * Add debian/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Sep 2025 13:34:50 +0100

fortran-testdrive (0.5.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1111580)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Aug 2025 19:46:28 +0100
