=== debian/control ===
Source: fortran-testdrive
Section: utils
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Standards-Version: 4.7.3
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-fortran (>= 0.61),
 gfortran,
 meson
Homepage: https://github.com/fortran-lang/test-drive
Vcs-Browser: https://salsa.debian.org/science-team/fortran-testdrive
Vcs-Git: https://salsa.debian.org/science-team/fortran-testdrive.git -b debian/latest

Package: libfortran-testdrive-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},${fortran:Depends},
 libfortran-testdrive-0 ( = ${binary:Version})
Recommends: pkgconf
Description: Simple Fortran testing framework - devel files
 This project offers a lightweight, procedural unit testing framework
 based on nothing but standard Fortran. Integration with meson,
 cmake and Fortran package manager (fpm) is available.

Package: libfortran-testdrive-0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple Fortran testing framework - library
 This project offers a lightweight, procedural unit testing framework
 based on nothing but standard Fortran. Integration with meson,
 cmake and Fortran package manager (fpm) is available.
